These release notes correspond to the pre "Unlimited Availability" release of Cloud Monitoring.
New Features
Traceroute API: This API lets you run a Traceroute from a Monitoring Zone to a Hostname or IP address. Like all Cloud Monitoring features, the Traceroute API is fully dual stack, supporting both IPv4 and IPv6. The Traceroute API can be used to debug networking issues between the Cloud Monitoring collectors and your infrastructure.
Metric interpolation on the Alarm status string: This allows you to include metrics from a Check in the status string returned by an Alarm. For example, to include the HTTP status code from a
remote.httpCheck, your Alarm could look like this:if (metrics['code'] != "200") { return new AlarmStatus(CRITICAL, 'Bad HTTP Status: #{code}'); }Add payload to the remote.http check: This allows you send a request body during a HTTP/HTTPS request.
Enhancements
Allow a user to specify the number of ICMP packets to send out on the
remote.pingcheck.Updated Certificate Authority chain used to validate SSL certificates, resulting in less false positives.
remote.tcpcheck now features thebody_match_metricwhen specifying the send_body command.Add the remote IP address of the collector that alerted you to the Webhook notification payload.
Resolved Issues
Fixed writable date and time fields that were supposed to be immutable.
Fixed the DSL string escaping to allow you to specify special characters, example below:
if (metric['code'] nregex '2\\d\\d') { return new AlarmStatus(CRITICAL, 'Invalid status code #{code}'); }
Documentation
Try some simple monitoring exercises in the Rackspace Cloud Monitoring Getting Started Guide at:
http://docs.rackspace.com/cm/api/v1.0/cm-getting-started/content/Introduction.html.
Get reference information and examples for all endpoints in the Rackspace Cloud Monitoring Developers Guide at:
http://docs.rackspace.com/cm/api/v1.0/cm-devguide/content/index.html.
Talk to Us
Do you have questions about Rackspace Cloud Monitoring? Would you like to give us feedback on how we're doing?
Join us in our chat room at: Freenode IRC at #cloudmonitoring
Or just click the following link:
You can also provide feedback using our feedback form:
Get support here:

